Midi Fighter 64 not detected by MF Utility

Follow

At the time of writing this article the latest version of the Midi Fighter Utility is version 2.65 version which is not compatible with the new Midi Fighter 64. If your unit isn't detected or shows as a Midi Fighter Classic then you are most likely running that legacy version.

We are working on finalizing the next build and get it out for everyone as soon as we finish ironing all bugs. If you feel like giving that a shot the beta version is available in the links below, just keep in mind that due to it's beta nature it's possible this one isn't as stable as the final build so some utility crashes or slowdowns could happen.

Have more questions? Submit a request

Comments

Powered by Zendesk